Index: trunk/grails-app/views/assetDetailed/edit.gsp
===================================================================
--- trunk/grails-app/views/asset/edit.gsp	(revision 122)
+++ trunk/grails-app/views/assetDetailed/edit.gsp	(revision 124)
@@ -32,8 +32,26 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
+                                    <label for="name">Name:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'name','errors')}">
+                                    <input type="text" id="name" name="name" value="${fieldValue(bean:assetInstance,field:'name')}"/>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
                                     <label for="assetType">Asset Type:</label>
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'assetType','errors')}">
                                     <g:select optionKey="id" from="${AssetType.list()}" name="assetType.id" value="${assetInstance?.assetType?.id}" ></g:select>
+                                </td>
+                            </tr>
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="systemSection">System Section:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'systemSection','errors')}">
+                                    <g:select optionKey="id" from="${SystemSection.list()}" name="systemSection.id" value="${assetInstance?.systemSection?.id}" ></g:select>
                                 </td>
                             </tr> 
@@ -45,4 +63,20 @@
                                 <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'description','errors')}">
                                     <input type="text" id="description" name="description" value="${fieldValue(bean:assetInstance,field:'description')}"/>
+                                </td>
+                            </tr>
+                         
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="assetExtendedAttributes">Asset Extended Attributes:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'assetExtendedAttributes','errors')}">
+                                    
+<ul>
+<g:each var="a" in="${assetInstance?.assetExtendedAttributes?}">
+    <li><g:link controller="assetExtendedAttributeDetailed" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
+</g:each>
+</ul>
+<g:link controller="assetExtendedAttributeDetailed" params="['asset.id':assetInstance?.id]" action="create">Add AssetExtendedAttribute</g:link>
+
                                 </td>
                             </tr> 
@@ -65,27 +99,9 @@
 <ul>
 <g:each var="m" in="${assetInstance?.maintenanceActions?}">
-    <li><g:link controller="maintenanceAction" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
+    <li><g:link controller="maintenanceActionDetailed" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
 </g:each>
 </ul>
-<g:link controller="maintenanceAction" params="['asset.id':assetInstance?.id]" action="create">Add MaintenanceAction</g:link>
+<g:link controller="maintenanceActionDetailed" params="['asset.id':assetInstance?.id]" action="create">Add MaintenanceAction</g:link>
 
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="name">Name:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:assetInstance,field:'name')}"/>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="systemSection">System Section:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'systemSection','errors')}">
-                                    <g:select optionKey="id" from="${SystemSection.list()}" name="systemSection.id" value="${assetInstance?.systemSection?.id}" ></g:select>
                                 </td>
                             </tr> 
